com.streambase.sb

## Class CompleteDataType.CaptureType

- java.lang.Object
- - com.streambase.sb.CompleteDataType
  - - com.streambase.sb.CompleteDataType.CaptureType

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CompleteDataType

      public static class CompleteDataType.CaptureType
      extends CompleteDataType
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.streambase.sb.CompleteDataType

      `CompleteDataType.CaptureType, CompleteDataType.FunctionType, CompleteDataType.ListType, CompleteDataType.TupleType`

  - ### Field Summary

    - ### Fields inherited from class com.streambase.sb.CompleteDataType

      `NULL_TO_TYPE_SCORE, SCORE_FAIL, SCORE_PASS, type, TYPE_TO_TYPE_SCORE, WILDCARD_SCORE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CaptureType(String typeName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `boolean` | `equalTypes(CompleteDataType completeType)` Like equals(), but ignores field type names.
    `String` | `getCaptureName()` For capture types, return the capture type name.
    `int` | `hashCode()`
    `String` | `toHumanString(SchemaUtil.SchemaProvider schemaProvider)` Return a String describing the type suitable for error messages.

    - ### Methods inherited from class com.streambase.sb.CompleteDataType

      `canAssignFrom, canAssignFromImpl, equalBaseTypes, findSuperType, forBlob, forBlobList, forBool, forBoolean, forBoolList, forCapture, forDouble, forDoubleList, forFunction, forInt, forIntList, forList, forLong, forLongList, forString, forStringList, forTimestamp, forTimestampList, forTuple, getArgumentSchema, getDataType, getElementType, getName, getReturnType, getSchema, rateCoercion, rateCoercion, toHumanString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaptureType

          protected CaptureType(String typeName)

  - ### Method Detail

    - #### toHumanString

          public String toHumanString(SchemaUtil.SchemaProvider schemaProvider)

      Description copied from class: `CompleteDataType`
      Return a String describing the type suitable for error messages.
      Specified by:
        `toHumanString` in class `CompleteDataType`
      Parameters:
        `schemaProvider` - A schema provider to identify named schemas
      Returns:
        param a suitable string

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `CompleteDataType`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CompleteDataType`

    - #### equalTypes

          public boolean equalTypes(CompleteDataType completeType)

      Description copied from class: `CompleteDataType`
      Like equals(), but ignores field type names.
      Specified by:
        `equalTypes` in class `CompleteDataType`
      Parameters:
        `completeType` - a complete data type
      Returns:
        type equality

    - #### getCaptureName

          public String getCaptureName()

      Description copied from class: `CompleteDataType`
      For capture types, return the capture type name. For other types, null is returned
      Overrides:
        `getCaptureName` in class `CompleteDataType`
      Returns:
        the capture name

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.